package com.casic.missiles.service.equipment;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.IdDTO;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.model.equipment.EquipmentStandardEquipmentUser;

import java.util.List;

/**
 * <p>
 * 标准装置-计量人员表 服务类
 * </p>
 *
 * @author cuicheng
 * @since 2022-12-15
 */
public interface IEquipmentStandardEquipmentUserService extends IService<EquipmentStandardEquipmentUser> {

    Page<EquipmentStandardEquipmentUser> listPage(Page<EquipmentStandardEquipmentUser> page, IdDTO request) throws Exception;

    ReturnDTO add(EquipmentStandardEquipmentUser meterStandardEquipmentUser) throws Exception;

    ReturnDTO deleteById(Long id);

    List<EquipmentStandardEquipmentUser> list(Long id) throws Exception;

    ReturnDTO addList(List<EquipmentStandardEquipmentUser> meterStandardEquipmentUserList) throws Exception;

    ReturnDTO batchDelete(List<Long> ids);
}
